summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh12
1 files changed, 1 insertions, 11 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index c55dc0b1..c3aaaa54 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -14,16 +14,6 @@ if [ ! -f $PACKAGES_DB ] ; then
exit 1
fi
-# FIXME: needed as long as #763328 (RFP: /usr/bin/diffp) is unfixed...
-# fetch git repo for the diffp command used later
-if [ -d debbindiff.git ] ; then
- cd debbindiff.git
- git pull
- cd ..
-else
- git clone git://git.debian.org/git/reproducible/debbindiff.git debbindiff.git
-fi
-
# create dirs for results
mkdir -p results/
mkdir -p /var/lib/jenkins/userContent/diffp/ /var/lib/jenkins/userContent/pbuilder/
@@ -169,7 +159,7 @@ for SRCPACKAGE in ${PACKAGES} ; do
LOGFILE=$(ls ${SRCPACKAGE}_${EVERSION}.dsc)
LOGFILE=$(echo ${LOGFILE%.dsc}.diffp.html)
rm -f ./results/${LOGFILE} > /dev/null 2>&1
- ./debbindiff.git/debbindiff.py --html ./results/${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes || true
+ /var/lib/jenkins/debbindiff.git/debbindiff.py --html ./results/${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes || true
if [ ! -f ./results/${LOGFILE} ] ; then
rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.log > /dev/null 2>&1
rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.html > /dev/null 2>&1